Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019492
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementminoralways2012-01-13 12:432012-03-02 15:40
ReporterjonalegriaesarteView Statuspublic 
Assigned ToioritzCia 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7be373a943ba
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019492: The use can change the header organization in project window, when the project has lines

DescriptionThe use can change the header organization in project window, when the project has lines.

We have checked the same problem in Product and in Warehouse and storages bin windows.
Steps To Reproduce- Create a project header
- Create one line
- Change the organization in the header
Proposed SolutionIn other windows, the window shows an error. The user should remove the lines before changing the organization. All the windows should be reviewed.
TagsNo tags attached.
Attached Filesdiff file icon 19492.diff [^] (3,271 bytes) 2012-01-27 15:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00195612.50MP40 closedioritzCia The use can change the header organization in project window, when the project has lines 
has duplicate defect 0020085 closedSandrahuguet Change organization in Multiphase Project does not propagate to phases 
blocks design defect 0022314 newTriage Finance In some windows the Organization can be changed and this change is not propagated to all its child records 

-  Notes
(0044617)
ioritzCia (developer)
2012-01-26 18:00

Testing:

The organization of the header can still be changed but only if it is in the organization tree of the organization in the lines.

Try to:

- Change among different locations from different branches in the organiztion tree.
- As the change has been done in the triggers of tables c_project, m_product and m_warehouse, try to insert, update and delete projects, products or warehouses.
(0044643)
hgbot (developer)
2012-01-27 15:48

Repository: erp/devel/pi
Changeset: 7321604b503bd3a411e99e754001d73495d4cac5
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Fri Jan 27 15:44:48 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7321604b503bd3a411e99e754001d73495d4cac5 [^]

Backed out changeset 3fe916f3aa96. Fix for issue 19492.

---
M src-db/database/model/triggers/C_PROJECT_TRG.xml
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/model/triggers/M_WAREHOUSE_TRG.xml
---
(0044644)
ioritzCia (developer)
2012-01-27 15:53

Attached you can find the patch for the fix.
(0044674)
hudsonbot (developer)
2012-01-28 04:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8e16ef45b30c [^]

Maturity status: Test
(0044742)
hgbot (developer)
2012-01-31 17:51

Repository: erp/stable/2.50
Changeset: 81ee13513de1d00f8d8a93e3ac800871b7d4f729
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Tue Jan 31 16:56:38 2012 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/81ee13513de1d00f8d8a93e3ac800871b7d4f729 [^]

Backed out changeset a671596b2291. Fixes issue 19492
The user can change the header organization in project window, when the project has lines.

---
M src-db/database/model/triggers/C_PROJECT_TRG.xml
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/model/triggers/M_WAREHOUSE_TRG.xml
---
(0044762)
hgbot (developer)
2012-02-01 09:25

Repository: erp/devel/pi
Changeset: e2817093d0b87e7aa69c6fd345dbfff8180658e9
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Feb 01 09:24:03 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e2817093d0b87e7aa69c6fd345dbfff8180658e9 [^]

Backed out changeset 7321604b503b. Fixes issue 19492.
The user can change the header organization in project window, when the project has lines.

---
M src-db/database/model/triggers/C_PROJECT_TRG.xml
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/model/triggers/M_WAREHOUSE_TRG.xml
---
(0045178)
hgbot (developer)
2012-02-16 11:11

Repository: erp/devel/pi
Changeset: 8fd83eb63b971b196e8d8e2937b573d3b726026d
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Thu Feb 16 11:10:40 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8fd83eb63b971b196e8d8e2937b573d3b726026d [^]

Backout of the changeset e2817093d0b8. Fix for issue 19492.
Rescheduled for later.

---
M src-db/database/model/triggers/C_PROJECT_TRG.xml
M src-db/database/model/triggers/M_PRODUCT_TRG.xml
M src-db/database/model/triggers/M_WAREHOUSE_TRG.xml
---
(0045219)
jonalegriaesarte (reporter)
2012-02-17 09:48

The solution should be:

- When the user changes the organization in the header, the organization in phase should be updated.
- The organization in phase should be visible (the same in tasks).
(0045626)
hgbot (developer)
2012-02-29 17:33

Repository: erp/devel/pi
Changeset: 7be373a943ba5a539adfb55f43242bfe76af3f0b
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Feb 29 13:03:59 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7be373a943ba5a539adfb55f43242bfe76af3f0b [^]

Fixes issue 19492: The user can change the header organization in project window,
when the project has lines.

---
M src-db/database/model/triggers/C_PROJECTPHASE_TRG.xml
M src-db/database/model/triggers/C_PROJECT_TRG.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0045678)
malsasua (developer)
2012-03-01 17:46

tested in 3.0.15300
in postgres & oracle
test plan:
 . update record -> the organization of childs are changed -> OK
 . delete and create record -> ok

code revision:
 OK
(0045715)
hudsonbot (developer)
2012-03-02 15:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045865)
hudsonbot (developer)
2012-03-02 15:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0046002)
hudsonbot (developer)
2012-03-02 15:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-01-13 12:43 jonalegriaesarte New Issue
2012-01-13 12:43 jonalegriaesarte Assigned To => jonalegriaesarte
2012-01-13 12:43 jonalegriaesarte Modules => Core
2012-01-13 14:08 jonalegriaesarte Proposed Solution updated
2012-01-16 16:13 VictorVillar Priority normal => urgent
2012-01-16 16:13 VictorVillar Reproducibility have not tried => always
2012-01-16 16:13 VictorVillar Description Updated View Revisions
2012-01-16 16:13 VictorVillar Proposed Solution updated
2012-01-16 16:13 VictorVillar Issue Monitored: networkb
2012-01-23 10:26 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-01-25 16:45 ioritzCia Status new => scheduled
2012-01-25 16:45 ioritzCia fix_in_branch => pi
2012-01-26 17:43 ioritzCia Status scheduled => resolved
2012-01-26 17:43 ioritzCia Fixed in SCM revision => 3fe916f3aa96afc61f00473c551c7ccb1add5277
2012-01-26 17:43 ioritzCia Resolution open => fixed
2012-01-26 18:00 ioritzCia Note Added: 0044617
2012-01-27 15:48 hgbot Checkin
2012-01-27 15:48 hgbot Note Added: 0044643
2012-01-27 15:52 ioritzCia Status resolved => new
2012-01-27 15:52 ioritzCia Resolution fixed => open
2012-01-27 15:52 ioritzCia File Added: 19492.diff
2012-01-27 15:52 ioritzCia Status new => scheduled
2012-01-27 15:53 ioritzCia Note Added: 0044644
2012-01-27 15:53 ioritzCia Status scheduled => resolved
2012-01-27 15:53 ioritzCia Resolution open => fixed
2012-01-28 04:10 hudsonbot Checkin
2012-01-28 04:10 hudsonbot Note Added: 0044674
2012-01-30 17:58 ioritzCia Status resolved => new
2012-01-30 17:58 ioritzCia Resolution fixed => open
2012-01-30 17:59 ioritzCia Priority urgent => high
2012-01-30 17:59 ioritzCia Severity major => minor
2012-01-30 17:59 ioritzCia fix_in_branch pi =>
2012-01-30 17:59 ioritzCia Status new => scheduled
2012-01-30 17:59 ioritzCia fix_in_branch => pi
2012-01-31 09:49 jonalegriaesarte Target Version 3.0MP8 => 3.0MP9
2012-01-31 09:49 jonalegriaesarte fix_in_branch pi =>
2012-01-31 17:51 hgbot Checkin
2012-01-31 17:51 hgbot Note Added: 0044742
2012-01-31 17:51 hgbot Status scheduled => resolved
2012-01-31 17:51 hgbot Resolution open => fixed
2012-01-31 17:51 hgbot Fixed in SCM revision 3fe916f3aa96afc61f00473c551c7ccb1add5277 => http://code.openbravo.com/erp/stable/2.50/rev/81ee13513de1d00f8d8a93e3ac800871b7d4f729 [^]
2012-02-01 09:25 hgbot Checkin
2012-02-01 09:25 hgbot Note Added: 0044762
2012-02-01 09:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/stable/2.50/rev/81ee13513de1d00f8d8a93e3ac800871b7d4f729 [^] => http://code.openbravo.com/erp/devel/pi/rev/e2817093d0b87e7aa69c6fd345dbfff8180658e9 [^]
2012-02-16 11:11 ioritzCia Status resolved => new
2012-02-16 11:11 ioritzCia Resolution fixed => open
2012-02-16 11:11 hgbot Checkin
2012-02-16 11:11 hgbot Note Added: 0045178
2012-02-17 09:48 jonalegriaesarte Note Added: 0045219
2012-02-29 17:33 hgbot Checkin
2012-02-29 17:33 hgbot Note Added: 0045626
2012-02-29 17:33 hgbot Status new => resolved
2012-02-29 17:33 hgbot Resolution open => fixed
2012-02-29 17:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e2817093d0b87e7aa69c6fd345dbfff8180658e9 [^] => http://code.openbravo.com/erp/devel/pi/rev/7be373a943ba5a539adfb55f43242bfe76af3f0b [^]
2012-03-01 17:46 malsasua Note Added: 0045678
2012-03-01 17:46 malsasua Status resolved => closed
2012-03-02 15:33 hudsonbot Checkin
2012-03-02 15:33 hudsonbot Note Added: 0045715
2012-03-02 15:37 hudsonbot Checkin
2012-03-02 15:37 hudsonbot Note Added: 0045865
2012-03-02 15:40 hudsonbot Checkin
2012-03-02 15:40 hudsonbot Note Added: 0046002
2012-04-12 17:36 vmromanos Relationship added has duplicate 0020085
2014-02-05 13:41 ngarcia Relationship added blocks 0022314


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker